Class | Rake::FileTask
In: | lib/rake.rb
Parent: | Task

A FileTask is a task that includes time based dependencies. If any of a FileTask‘s prerequisites have a timestamp that is later than the file represented by this task, then the file must be rebuilt (using the supplied actions).

### Methods

needed? timestamp

### Public Instance methods

needed?()

Is this file task needed? Yes if it doesn‘t exist, or if its time stamp is out of date.

timestamp()

Time stamp for file task.

[Validate]